db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Army <qoz...@gmail.com>
Subject Re: [VOTE] 10.2.1.5 release
Date Fri, 29 Sep 2006 20:46:05 GMT
Andrew McIntyre wrote:

> Hi,
> 
> Sorry, just hadn't sent it yet as i was giving it one last scan.

<snip Andrews comments on release notes>

If we're going to generate another round of release notes, I'd like to again 
mention that I think we should include somewhere the recommended version of 
Xalan for use of the SQL/XML operators.  The documentation now says that the 
user can figure out the minimum version by referring to the release notes--but 
we don't actually have that information in the notes.

I've tested with Xalan 2.5 and 2.7 and I think Bryan Pendleton has run tests 
with 2.7.  So we can we add the following to the release notes?

  Using the new SQL/XML Operators

   If you intend to use any of the Derby XML operators, you must ensure that
   you have 1) a JAXP parser and 2) Apache Xalan in your classpath.

   Apache Derby 10.2.1 has been tested with Xalan-Java Version 2.7.0.  If you
   have a version of Xalan that is earlier than 2.7, the Derby XML operators may
   still work. However, it is possible that you will experience unexpected errors
   when using the Derby XML operators.

Or wordsmith as needed...?

Army


Mime
View raw message